Album: Cyclica
Artists:
- ostrichlittledungeon
Date: September 23, 2016
Date Added: April 13, 2023
URLs:
- https://coolandnewwebcomic.bandcamp.com/album/cyclica
- https://www.youtube.com/playlist?list=PLMXVVm-BDvr_XsarHgK9Ui_r3wOw7pJ59
- https://www.youtube.com/watch?v=ME3r64_NsnM
Cover Artists:
- yazshu
Color: '#6cd2f7'
Cover Art File Extension: png
Track Art File Extension: png
Groups:
- Cool and New Music Team
- Fandom
Art Tags:
- Jhon
- John
- Dabe
- Dave
- Jaed
- Jade
- Rose
- Earth
- Skaia
Commentary: |-
    <i>ostrichlittledungeon:</i>
    Something Familiar Yet Cool and New

    <i>Ngame:</i>
    ([Community listening stream w/ chat](https://www.youtube.com/watch?v=lwYhJaWVePk&t=128))
---
Track: Something Familiar
Cover Artists:
- Homestuck
Duration: '9:06'
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/something-familiar
- https://www.youtube.com/watch?v=6hrtEsTfnuU
Art Tags:
- Earth
- Skaia
- Meteor
Referenced Tracks:
- Rain
- Sburban Resolution
- track:higher-ost
- track:dersite
- Final Confrontation
Commentary: |-
    <i>ostrichlittledungeon:</i>
    0:00 - Resolution
    3:05 - Higher
    5:00 - Dersite
    6:50 - Final Confrontation
---
Track: Yet Cool and New
Cover Artists:
- Cool and New Music Team
Duration: '7:27'
URLs:
- https://coolandnewwebcomic.bandcamp.com/track/yet-cool-and-new
- https://www.youtube.com/watch?v=vRRpWt87LS8
Art Tags:
- Skaia
Referenced Tracks:
- Durst
- Ebgret
- Spanish
- Monody
Commentary: |-
    <i>ostrichlittledungeon:</i>
    0:00 - Durst
    1:30 - Ebgret
    2:57 - Spanish
    5:40 - Monody
